View Issue Details

IDProjectCategoryView StatusLast Update
0001671SOGoSOPEpublic2012-03-23 15:26
Reporteravoegele Assigned Toludovic  
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.3.15Fixed in Version1.3.15 
Summary0001671: Replace "uname -p" with "uname -m" in configure script
Description

It seems that the output of "uname -p" isn't standardized. On my Debian-based laptop computer "unknown" is output. On my Slackware Linux systems I get strings like "Intel(R) Core(TM)2 Duo CPU T6670 @ 2.20GHz" and "QEMU Virtual CPU version 1.0" instead of "x86_64" and "i686".

On the other hand, "uname -m" always outputs values like "x86_64" and "i686" no matter what Linux distribution is installed.

I cannot check this myself on 64-bit SPARC and PowerPC machines as I don't have such hardware but according to Google "uname -m" outputs "sparc64" and "ppc64" on these systems.

TagsNo tags attached.

Activities

2012-03-10 04:36

 

configure.diff (375 bytes)   
--- configure.orig	2012-01-20 01:56:02.000000000 +0100
+++ configure	2012-03-10 08:22:40.000000000 +0100
@@ -331,7 +331,7 @@
   #       common.make
   UNAME=`uname`
   if [ "X${UNAME}" = "XLinux" ];then
-    UNAME=`uname -p`
+    UNAME=`uname -m`
     if [ ${UNAME} = x86_64 -o ${UNAME} = sparc64 -o ${UNAME} = ppc64 ];then
       cfgwrite "CGS_LIBDIR_NAME:=lib64"
     else
configure.diff (375 bytes)   
ludovic

ludovic

2012-03-23 15:26

administrator   ~0003636

Fixed: http://mtn.inverse.ca/revision/diff/c60cd0952994b1cdcab7aebd637a1fa8e01da711/with/37e6e15919108b7a757e4fecda053baaadd2093b

Issue History

Date Modified Username Field Change
2012-03-10 04:36 avoegele New Issue
2012-03-10 04:36 avoegele File Added: configure.diff
2012-03-16 14:31 ludovic Target Version => 1.3.14
2012-03-23 08:33 francis Target Version 1.3.14 => 1.3.15
2012-03-23 15:26 ludovic Note Added: 0003636
2012-03-23 15:26 ludovic Status new => resolved
2012-03-23 15:26 ludovic Fixed in Version => 1.3.15
2012-03-23 15:26 ludovic Resolution open => fixed
2012-03-23 15:26 ludovic Assigned To => ludovic